---
lang: en
title: 'API docs: repository.crudrepositoryimpl.updatebyid'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.crudrepositoryimpl.updatebyid.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CrudRepositoryImpl](./repository.crudrepositoryimpl.md) &gt; [updateById](./repository.crudrepositoryimpl.updatebyid.md)

## CrudRepositoryImpl.updateById() method

<b>Signature:</b>

```typescript
updateById(id: ID, data: DataObject<T>, options?: Options): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  id | <code>ID</code> |  |
|  data | <code>DataObject&lt;T&gt;</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<void>`


